<!DOCTYPE html>
<html lang="en">

<head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Đăng Ký</title>
    <script>
        $(document).ready(function () {
            $("#ok").click(function () {
                var send = JSON.stringify({
                    'UserName': document.getElementById('taiKhoan').value,
                    'Pwd': document.getElementById('matKhau').value,
                    'Name': document.getElementById('ten').value,
                    'Dob': document.getElementById('ngaySinh').value,
                    'Address': document.getElementById('diaChi').value,
                    'Email': document.getElementById('email').value,
                    'PhoneNumber': document.getElementById('soDienThoai').value
                })

                $.ajax({
                    type: 'POST',
                    url: 'https://localhost:44318/Writer/Insert',
                    data: send,
                    dataType: 'json',
                    contentType: "application/json",
                    success: function (data, textStatus, xhr) {
                        if (data.state == false){
                            alert(data.message)
                        }
                        else{
                            window.location.href = 'file:///C:/Users/Hoang%20Anh/OneDrive%20-%20ictu.edu.vn/Folder-of-HA/SonPhat/Project/Sharing/HTML/FormDangNhap.html';
                        }
                    },
                    error: function (xhr, textStatus, errorThrown) {
                        alert('Lỗi là: ' + xhr.responseText)
                    }
                })
            })
        })
    </script>
</head>

<body>

    Tài Khoản:
    <input type="text" id="taiKhoan" class="taiKhoan"><br>
    Mật Khẩu:
    <input type="text" id="matKhau" class="matKhau"><br>
    Tên:
    <input type="text" id="ten" class="ten"><br>
    Ngày Sinh:
    <input type="datetime" id="ngaySinh" class="ngaySinh"><br>
    Địa Chỉ:
    <input type="text" id="diaChi" class="diaChi"><br>
    Email:
    <input type="text" id="email" class="email"><br>
    Số Điện Thoại:
    <input type="text" id="soDienThoai" class="soDienThoai"><br>

    <button id="ok">Ok</button>

</body>

</html>
